Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicon.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicon.java	(revision 271)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicon.java	(revision 272)
@@ -1,87 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate:$
-// $LastChangedRevision:$
-// $LastChangedBy:$ 
-//
-package org.txm.rcpapplication.commands.function;
-
-import org.eclipse.core.commands.AbstractHandler;
-import org.eclipse.core.commands.ExecutionEvent;
-import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.jface.viewers.IStructuredSelection;
-import org.eclipse.ui.IWorkbenchPage;
-import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.Toolbox;
-import org.txm.index.rcp.editors.IndexEditorInput;
-import org.txm.rcpapplication.TXMWindows;
-import org.txm.rcpapplication.editors.dictionnary.DictionnaryEditor;
-import org.txm.searchengine.cqp.corpus.Corpus;
-
-// TODO: Auto-generated Javadoc
-/**
- * Compute a Lexicon used it to create a Index (object) then open it in the
- * DictionnaryEditor @ author mdecorde.
- */
-public class ComputeLexicon extends AbstractHandler {
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
-	 */
-	@Override
-	public Object execute(ExecutionEvent event) throws ExecutionException {
-		if (!Toolbox.isSearchEngineInitialized()) return false;
-		
-		//window = HandlerUtil.getActiveWorkbenchWindow(event);
-		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
-
-		assert (selection.getFirstElement() instanceof Corpus);
-
-		final Corpus corpus = (Corpus) selection.getFirstElement();
-		
-		openEditor(corpus);
-		
-		return null;
-	}
-	
-	public static boolean openEditor(Corpus corpus) {
-		if (!Toolbox.isSearchEngineInitialized()) return false;
-		
-		IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
-		IndexEditorInput editorInput = new IndexEditorInput(corpus);
-		DictionnaryEditor voceditor;
-		try {
-			voceditor = (DictionnaryEditor) page.openEditor(editorInput,
-							"org.txm.rcpapplication.editors.dictionnary.DictionnaryEditor"); //$NON-NLS-1$
-			voceditor.compute();
-			// voceditor.initializeFields();
-			 return true;
-		} catch (Exception e) {
-			// TODO Auto-generated catch block
-			org.txm.rcpapplication.utils.Logger.printStackTrace(e);
-		} 
-		 return false;
-	}
-
-}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportResult.java	(revision 271)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportResult.java	(revision 272)
@@ -50,6 +50,7 @@
 import org.txm.functions.referencer.Referencer;
 import org.txm.index.core.functions.Index;
 import org.txm.lexicaltable.core.statsengine.data.LexicalTable;
+import org.txm.lexicon.core.corpusengine.cqp.Lexicon;
 import org.txm.progression.core.functions.Progression;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
@@ -59,7 +60,6 @@
 import org.txm.rcpapplication.preferences.ExportPreferencePage;
 import org.txm.rcpapplication.swt.dialog.LastOpened;
 import org.txm.rcpapplication.utils.JobHandler;
-import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.specificities.core.functions.SpecificitesResult;
 // TODO: Auto-generated Javadoc
 /**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeDiagnostic.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeDiagnostic.java	(revision 271)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeDiagnostic.java	(revision 272)
@@ -50,7 +50,6 @@
 import org.txm.rcpapplication.editors.TXMWebBrowserEditor;
 import org.txm.rcpapplication.preferences.DiagnosticPreferencePage;
 import org.txm.rcpapplication.utils.JobHandler;
-import org.txm.rcpapplication.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.NetCqiClient;
 import org.txm.searchengine.cqp.corpus.Corpus;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java	(revision 271)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java	(revision 272)
@@ -40,7 +40,7 @@
 import org.txm.Toolbox;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.swt.dialog.LastOpened;
-import org.txm.utils.FileCopy;
+import org.txm.utils.io.FileCopy;
 
 /**
  * save the SVG file selected @ author mdecorde.
